=== modified file 'bzrlib/plugins/grep/__init__.py'
--- bzrlib/plugins/grep/__init__.py	2011-12-20 15:39:20 +0000
+++ bzrlib/plugins/grep/__init__.py	2012-06-29 08:24:02 +0000
@@ -18,12 +18,9 @@
 
 from __future__ import absolute_import
 
+from bzrlib import version_info
 from bzrlib.commands import plugin_cmds
 
-from bzrlib.plugins.grep import version
-
-version_info = version.version_info
-
 plugin_cmds.register_lazy("cmd_grep", [], "bzrlib.plugins.grep.cmds")
 
 def test_suite():

=== modified file 'bzrlib/plugins/grep/features.py'
--- bzrlib/plugins/grep/features.py	2011-12-20 15:39:20 +0000
+++ bzrlib/plugins/grep/features.py	2012-06-29 08:24:02 +0000
@@ -17,10 +17,7 @@
 
 from __future__ import absolute_import
 
-try:
-    from bzrlib.tests.features import Feature
-except ImportError: # bzr < 2.5
-    from bzrlib.tests import Feature
+from bzrlib.tests.features import Feature
 from bzrlib.plugins.grep.termcolor import allow_color
 
 class _ColorFeature(Feature):

=== removed file 'bzrlib/plugins/grep/setup.py'
--- bzrlib/plugins/grep/setup.py	2010-06-08 04:00:35 +0000
+++ bzrlib/plugins/grep/setup.py	1970-01-01 00:00:00 +0000
@@ -1,21 +0,0 @@
-#!/usr/bin/env python
-from distutils.core import setup
-import version
-
-bzr_plugin_name = 'grep'
-
-bzr_plugin_version = version.version_info
-
-bzr_commands = ['grep']
-
-if __name__ == '__main__':
-    setup(name="bzr-grep",
-          version=version.version_str,
-          description="Print lines matching pattern for specified "
-                      "files and revisions",
-          author="Canonical Ltd",
-          author_email="bazaar@lists.canonical.com",
-          license = "GNU GPL v2",
-          url="https://launchpad.net/bzr-grep",
-          packages=['bzrlib.plugins.grep'],
-          package_dir={'bzrlib.plugins.grep': '.'})

=== modified file 'bzrlib/plugins/grep/test_grep.py'
--- bzrlib/plugins/grep/test_grep.py	2011-12-20 15:39:20 +0000
+++ bzrlib/plugins/grep/test_grep.py	2012-06-29 08:24:02 +0000
@@ -25,10 +25,7 @@
 
 from bzrlib import tests, osutils
 
-try:
-    from bzrlib.tests.features import UnicodeFilenameFeature
-except ImportError: # bzr < 2.4
-    from bzrlib.tests import UnicodeFilenameFeature
+from bzrlib.tests.features import UnicodeFilenameFeature
 
 # NOTE: As bzr-grep optimizes PATTERN search to -F/--fixed-string
 # for patterns that are not alphanumeric+whitespace, we test grep

=== removed file 'bzrlib/plugins/grep/version.py'
--- bzrlib/plugins/grep/version.py	2010-06-14 16:58:35 +0000
+++ bzrlib/plugins/grep/version.py	1970-01-01 00:00:00 +0000
@@ -1,21 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-"""Plugin version information."""
-
-
-version_info = (0, 5, 0, 'dev', 0)
-version_str = '.'.join(map(str, version_info))
-

